### Class

# Adw TabPage

#### Description [src]

    final class Adw.TabPage : GObject.Object {
      /* No available fields */
    }

An auxiliary class used by `AdwTabView`.

#### Hierarchy

#### Ancestors

- GObject

#### Instance methods

###### adw_tab_page_get_child

Gets the child of `self`.

Available since: 1.0

###### adw_tab_page_get_icon

Gets the icon of `self`.

Available since: 1.0

###### adw_tab_page_get_indicator_activatable

Gets whether the indicator of `self` is activatable.

Available since: 1.0

###### adw_tab_page_get_indicator_icon

Gets the indicator icon of `self`.

Available since: 1.0

###### adw_tab_page_get_loading

Gets whether `self` is loading.

Available since: 1.0

###### adw_tab_page_get_needs_attention

Gets whether `self` needs attention.

Available since: 1.0

###### adw_tab_page_get_parent

Gets the parent page of `self`.

Available since: 1.0

###### adw_tab_page_get_pinned

Gets whether `self` is pinned.

Available since: 1.0

###### adw_tab_page_get_selected

Gets whether `self` is selected.

Available since: 1.0

###### adw_tab_page_get_title

Gets the title of `self`.

Available since: 1.0

###### adw_tab_page_get_tooltip

Gets the tooltip of `self`.

Available since: 1.0

###### adw_tab_page_set_icon

Sets the icon of `self`.

Available since: 1.0

###### adw_tab_page_set_indicator_activatable

Sets whether the indicator of `self` is activatable.

Available since: 1.0

###### adw_tab_page_set_indicator_icon

Sets the indicator icon of `self`.

Available since: 1.0

###### adw_tab_page_set_loading

Sets wether `self` is loading.

Available since: 1.0

###### adw_tab_page_set_needs_attention

Sets whether `self` needs attention.

Available since: 1.0

###### adw_tab_page_set_title

Sets the title of `self`.

Available since: 1.0

###### adw_tab_page_set_tooltip

Sets the tooltip of `self`.

Available since: 1.0

##### Methods inherited from GObject (43)

#### Properties

###### Adw.TabPage:child

The child of the page.

Available since: 1.0

###### Adw.TabPage:icon

The icon of the page.

Available since: 1.0

###### Adw.TabPage:indicator-activatable

Whether the indicator icon is activatable.

Available since: 1.0

###### Adw.TabPage:indicator-icon

An indicator icon for the page.

Available since: 1.0

###### Adw.TabPage:loading

Whether the page is loading.

Available since: 1.0

###### Adw.TabPage:needs-attention

Whether the page needs attention.

Available since: 1.0

###### Adw.TabPage:parent

The parent page of the page.

Available since: 1.0

###### Adw.TabPage:pinned

Whether the page is pinned.

Available since: 1.0

###### Adw.TabPage:selected

Whether the page is selected.

Available since: 1.0

###### Adw.TabPage:title

The title of the page.

Available since: 1.0

###### Adw.TabPage:tooltip

The tooltip of the page.

Available since: 1.0

#### Signals

##### Signals inherited from GObject (1)

###### GObject.Object::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct AdwTabPageClass {
      GObjectClass parent_class;

    }

###### Class members

`parent_class` |
    GObjectClass
| No description available.